# Interface SpatialNavigationManager

interface SpatialNavigationManager {
add(component): void;
clear(): void;
dispose(): void;
focus(component): void;
getCandidates(): UiComponent[];
getCurrent(): null | UiComponent;
move(direction): void;
pause(): void;
refocus(): void;
remove(component): void;
resume(): void;
start(): void;
stop(): void;
updateConfiguration(config, prev): void;
}

#####
Index

### Methods

add
clear
dispose
focus
getCandidates
getCurrent
move
pause
refocus
remove
resume
start
stop
updateConfiguration

## Methods

### add

- add(component): void

- #### Parameters

  - component: UiComponent

  #### Returns void

### clear

- clear(): void

- #### Returns void

### dispose

- dispose(): void

- #### Returns void

### focus

- focus(component): void

- #### Parameters

  - component: UiComponent

  #### Returns void

### getCandidates

- getCandidates(): UiComponent[]

- #### Returns UiComponent[]

### getCurrent

- getCurrent(): null | UiComponent

- #### Returns null | UiComponent

### move

- move(direction): void

- #### Parameters

  - direction: Direction

  #### Returns void

### pause

- pause(): void

- #### Returns void

### refocus

- refocus(): void

- #### Returns void

### remove

- remove(component): void

- #### Parameters

  - component: UiComponent

  #### Returns void

### resume

- resume(): void

- #### Returns void

### start

- start(): void

- #### Returns void

### stop

- stop(): void

- #### Returns void

### updateConfiguration

- updateConfiguration(config, prev): void

- #### Parameters

  - config: SpacialNavigationConfiguration
  - prev: SpacialNavigationConfiguration

  #### Returns void